Como activar el editor de codigo de WordPress

0
144
  • No me aparece el editor de WordPress.

  • Como activar editor de WordPress.

  • Aparencia > Editor no se ve.

¿WTF? El editor de código de WordPress no aparece en el submenú de Apariencia! es uno de los sustos mas grandes que nos llevamos los que ocupamos de esta herramienta para hacer nuestro sitio web, se debe en algunos casos a la instalación de algunos plugins que para proteger el código o evitar que cometamos errores en el código nos desactivan esta opción, pero no es de que preocuparse, esto tiene solución y muy sencilla:

Lo primero que debes revisar es que en tu perfil de usuario Usuarios > Tu perfil no esté marcada la casilla de Desactivar el editor visual. Si la tienes así, desmárcala y problema solucionado.

Si el problema persiste no te preocupes hay otra solución:

Comprueba tu archivo wp-config.php en tu servidor donde tienes instalada tu página WordPress, ábrelo y busca la linea donde aparece define(‘DISALLOW_FILE_EDIT’, true); y reemplaza “true” por “false”.

Esto debera corregir el problema, ahora solo entra a tu escritorio y verifica que te aparezca la opción del Editor.

  • Para descartar problemas con WordPress cambia el theme por el de default, algunos desarrolladores deshabilitan esa opción en el archivo funtions.php del theme.
  • Revisa tus plugin, chécalos deshabilitándolos uno a uno. Por ejemplo te puede desaparecer si tienes instalado el plugin “Better WP Security”, y en la pestaña “Tweaks” de la configuración, marcada la opción: “Desactivar el editor en la administración de WordPress”. Para solucionarlo sólo tienes que desmarcar esta opción y vuelve a aparecer el editor de temas.
  • Puedes tener permisos incorrectos en las carpetas. Los permisos correctos de directorios para que la web funcione correctamente son 755.
  • Revisa los directorios, igual tienes una carpeta wp-contenido en lugar de wp-content.
  • Podrías probar a instalar algún plugin de editor, para comprobar si este se muestra. Una buena opción podría ser la siguiente: TinyMCE Advanced.
  • Si así tampoco lo consigues, la solución definitiva puede ser que instales este plugin: Use Google Libraries. Usa las librerias js que necesita WordPress para funcionar desde los servidores de Google, más veloz y seguro incluso que antes.

Si este post te ayudo dejanos un comentario, espero te haya servido.

Fuentes.

Ingeniero en Computación titulado en la Universidad Autónoma de Guerrero, desde el 2005 empecé con la creación de sitios web, foros, publicación en blogs y desde entonces no he parado. Me gusta obtener conocimiento nuevo.

Dejar respuesta

Please enter your comment!
Please enter your name here